%define	name	gtkglext
%define	version	1.2.0
%define	release	%mkrel 2

%define	major	0
%define	api_version 1.0

%define	libname %mklibname %{name}-%{api_version}_ %{major}
%define	libnamedev %mklibname %{name}-%{api_version}_ %{major} -d

Summary:	GtkGLExt is an OpenGL extension to GTK 2.0 or later
Name:		%{name}
Version:	%{version}
Release: 	%{release}
License:	LGPL
Group:		System/Libraries
Source0:	http://prdownloads.sourceforge.net/gtkglext/%{name}-%{version}.tar.bz2
Patch0:		gtkglext-support-pango.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://gtkglext.sourceforge.net/
BuildRequires:	pkgconfig
BuildRequires:	MesaGLU-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	pango-devel
BuildRequires:	chrpath

%description
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget. 

%package -n	%{libname}
Summary:	GtkGLExt is an OpenGL extension to GTK 2.0 or later
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{libname}
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget. 

%package -n	%{libnamedev}
Summary:	GtkGLExt is an OpenGL extension to GTK 2.0 or later
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{name}-devel

%description -n %{libnamedev}
Libraries and includes files you can use for GtkGLExt development.

%prep
%setup -q
%patch0

%build
libtoolize --copy --force
aclocal
autoconf
automake
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
chrpath -d $RPM_BUILD_ROOT%{_libdir}/libg?kglext-x11-1.0.so*

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO README
%doc %{_datadir}/gtk-doc/html/gtkglext
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/%{name}*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4


%changelog
* Mon Feb 26 2007 Emmanuel Andry <eandry@mandriva.org> 1.2.0-2mdv2007.0
+ Revision: 126153
- buildrequires libgdk_pixbuf2.0-devel
- buildrequires gdk-pixbuf2-devel
- add sourceforge patch for pango support
- Import gtkglext



* Wed Aug 23 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.0-1mdv2007.0
- 1.2.0
- %%mkrel
- cleanups
- drop P0 (merged upstream)
- fix summary-ended-with-dot

* Tue May 03 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.6-3mdk
- 
- From Guillaume Rousse
 - use %%configure macro
 - spec cleanup
 - rpmbuildupdate aware

* Sun Jul 25 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.6-2mdk
- DIRM

* Thu Mar 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6

* Tue Dec 23 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.0.5-3mdk
- fix BuildRequires
- remove rpath (--disable-rpath had no effect)

* Mon Dec 08 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.0.5-2mdk
- fix -devel requires
- make -devel naming consistent

* Fri Nov 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5
- fix naming (using api version)

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 1.0.3-1mdk
- 1.0.3
- don't use configure macro (breaks .so names)

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.7.1-2mdk
- buildrequires glu

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.7.1-1mdk
- 0.7.1

* Thu Jan 30 2003 Austin Acton <aacton@yorku.ca> 0.7.0-1mdk
- bump version

* Wed Jan 08 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- bump version and libver
	- remove patches (fixed upstream)

* Sat Dec 6 2002 Austin Acton <aacton@yorku.ca> 0.5.1-1mdk
- initial package
